Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator.impl
Class SAMLSessionValidator

    java.lang.Object
      be.ehealth.technicalconnector.validator.impl.SAMLSessionValidator

All Implemented Interfaces:
  SessionValidator

    public class SAMLSessionValidator

extends Object
implements SessionValidator

Implementation of `SessionValidator`

Constructor Summary
`SAMLSessionValidator()`

Method Summary
`boolean` | `validateSession()` Validate session.
`boolean` | `validateToken(SAMLToken samlToken)` Method to check if the provided `SAMLToken` is still valid.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAMLSessionValidator

    public SAMLSessionValidator()

Method Detail

### validateSession

    public boolean validateSession()
                            throws SessionManagementException

  Description copied from interface: `SessionValidator`
  Validate session.

  Specified by:
    `validateSession` in interface `SessionValidator`
  Returns:
    true, if successful
  Throws:
    `SessionManagementException`

### validateToken

    public boolean validateToken(SAMLToken samlToken)
                          throws SessionManagementException

  Description copied from interface: `SessionValidator`
  Method to check if the provided `SAMLToken` is still valid.

  Specified by:
    `validateToken` in interface `SessionValidator`
  Returns:
  Throws:
    `SessionManagementException`
  See Also:
    `be.ehealth.technicalconnector.validator.SessionValidator#validateSession(be.ehealth.technicalconnector.service.sts.security.SAMLToken)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.